<?php

namespace FM\Factory;

use Doctrine\ORM\EntityManager;
use Teknisa\Model\Traits\TQuery;

class ServicosFactory
{

    use TQuery;

    protected $connection;

    protected $entityManager;

    public function __construct(EntityManager $entityManager)
    {
        $this->connection = $entityManager->getConnection();
        $this->entityManager = $entityManager;
    }

    public function getInformacoesServico()
    {

        $sql = "SELECT CDSERVORCA, NMSERVORCA, DSSERVORCA, IDATIVO
                    FROM FCT_SERVICOORCA
                    ORDER BY CDSERVORCA DESC";

        return $this->createAndExecuteQueryAndBuildResponseData($this->entityManager, $sql);
    }
}
